NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimBCDisplay Class Reference

Represents a BC display attributes More...

Inheritance diagram for NXOpen.CAE.SimBCDisplay:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Mode { Collapse, Expand, Offset }
 Used to specify the display mode for the BC More...
 

Public Member Functions

unsafe void GetDisplayGrid (out int numUPoints, out int numVPoints)
 Returns the number of sample points for BC display in first and second parametric direction for a face. More...
 
unsafe void SetDisplayGrid (int numUPoints, int numVPoints)
 Sets the number of sample points for BC display in first and second parametric direction for a face. More...
 
unsafe void UpdateDisplay ()
 Updates the display of the BC More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string DisplayMagnitudeProperty [get, set]
 Returns or sets the neutral name of the property that will control the display More...
 
unsafe NXOpen.CAE.SimBCDisplay.Mode DisplayMode [get, set]
 Returns or sets the BC display mode More...
 
unsafe bool DistValueDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the distributed value of the BC is displayed in the graphics window More...
 
unsafe bool DofDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the dof of the BC is displayed in the graphics window More...
 
unsafe int GraphicsThreshold [get, set]
 Returns or sets the number of graphic symbols after which the number of symbols in expanded mode will be reduced More...
 
unsafe bool GraphicsThresholdFlag [get, set]
 Returns or sets the true/false flag based on whether the graphics symbol display is to be simplified in expanded mode More...
 
unsafe bool GraphicSymbolDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the graphic symbol of the BC is displayed in the graphics window More...
 
unsafe bool HighlightTargets [get, set]
 Returns or sets the flag indicating whether or not highlighting of targets is required More...
 
unsafe bool NameDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the name of the BC is displayed in the graphics window More...
 
unsafe bool NodeIdDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the node id of the BC is displayed in the graphics window More...
 
unsafe bool RotateDisplayTextFlag [get, set]
 Returns or sets the true/false flag based on whether the text of the BC is rotated in the graphics window More...
 
unsafe int Scale [get, set]
 Returns or sets the BC display scaling factor this option specifies the scale of the graphic symbol relative to the size of the bounding box of the FE model. More...
 
unsafe bool ShadeGraphicSymbol [get, set]
 Returns or sets the flag indicating whether or not shading of graphic symbols is required More...
 
unsafe bool SolverCardNameDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the solver card name of the BC is displayed in the graphics window More...
 
unsafe bool TextSymbolDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the text symbol of the BC is displayed in the graphics window More...
 
unsafe int Translucency [get, set]
 Returns or sets the BC display translucency factor this option specifies the translucency of the BC display symbol. More...
 
unsafe bool ValueDisplayFlag [get, set]
 Returns or sets the true/false flag based on whether the value of the BC is displayed in the graphics window More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a BC display attributes

Created in NX4.0.0

Member Enumeration Documentation

Used to specify the display mode for the BC

Enumerator
Collapse 

Set a collapsed display mode

Expand 

Set an expanded display mode

Offset 

Set an offset display mode.

Draw the edge BC display using an offset line along the BC target locations

Member Function Documentation

unsafe void NXOpen.CAE.SimBCDisplay.GetDisplayGrid ( out int  numUPoints,
out int  numVPoints 
)
inline

Returns the number of sample points for BC display in first and second parametric direction for a face.

In case of an edge/curve only the first parametric direction applies.

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
numUPointsnumber of points in the first parametric direction
numVPointsnumber of points in the second parametric direction
unsafe void NXOpen.CAE.SimBCDisplay.SetDisplayGrid ( int  numUPoints,
int  numVPoints 
)
inline

Sets the number of sample points for BC display in first and second parametric direction for a face.

In case of an edge/curve only the first parametric direction applies.

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
numUPointsnumber of points in the first parametric direction
numVPointsnumber of points in the second parametric direction
unsafe void NXOpen.CAE.SimBCDisplay.UpdateDisplay ( )
inline

Updates the display of the BC

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Property Documentation

unsafe string NXOpen.CAE.SimBCDisplay.DisplayMagnitudeProperty
getset

Returns or sets the neutral name of the property that will control the display

Created in NX7.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SimBCDisplay.Mode NXOpen.CAE.SimBCDisplay.DisplayMode
getset

Returns or sets the BC display mode

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.DistValueDisplayFlag
getset

Returns or sets the true/false flag based on whether the distributed value of the BC is displayed in the graphics window

Created in NX7.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.DofDisplayFlag
getset

Returns or sets the true/false flag based on whether the dof of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimBCDisplay.GraphicsThreshold
getset

Returns or sets the number of graphic symbols after which the number of symbols in expanded mode will be reduced

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.GraphicsThresholdFlag
getset

Returns or sets the true/false flag based on whether the graphics symbol display is to be simplified in expanded mode

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.GraphicSymbolDisplayFlag
getset

Returns or sets the true/false flag based on whether the graphic symbol of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.HighlightTargets
getset

Returns or sets the flag indicating whether or not highlighting of targets is required

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.NameDisplayFlag
getset

Returns or sets the true/false flag based on whether the name of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.NodeIdDisplayFlag
getset

Returns or sets the true/false flag based on whether the node id of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.RotateDisplayTextFlag
getset

Returns or sets the true/false flag based on whether the text of the BC is rotated in the graphics window

Created in NX11.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimBCDisplay.Scale
getset

Returns or sets the BC display scaling factor this option specifies the scale of the graphic symbol relative to the size of the bounding box of the FE model.

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.ShadeGraphicSymbol
getset

Returns or sets the flag indicating whether or not shading of graphic symbols is required

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.SolverCardNameDisplayFlag
getset

Returns or sets the true/false flag based on whether the solver card name of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.TextSymbolDisplayFlag
getset

Returns or sets the true/false flag based on whether the text symbol of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimBCDisplay.Translucency
getset

Returns or sets the BC display translucency factor this option specifies the translucency of the BC display symbol.

Created in NX11.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SimBCDisplay.ValueDisplayFlag
getset

Returns or sets the true/false flag based on whether the value of the BC is displayed in the graphics window

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.